Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I would like to be able to build a package for the Maverick distribution release of Ubuntu, while running the Lucid distribution release.

I found this page: https://wiki.ubuntu.com/DebootstrapChroot which seems to explain what I would like to do. However, the instructions say to go to a specific website (the link is in the article, I can't post more than one link) and download the debootstrap package that has the first word of the distribution relase appended (eg. "maverick"), but no such package exists.

What do I do?

share|improve this question
add comment

2 Answers

The debootstrap program is available in the lucid package repositories. You can just install it using your favourite package manager.

If you really wanted to fetch the .deb and install it by hand, it's at http://archive.ubuntu.com/ubuntu/pool/main/d/debootstrap/debootstrap_1.0.25~lucid1_all.deb

share|improve this answer
add comment

Many developers use pbuilder Install pbuilder for this task. There is a very comprehensive guide to pbuilder on the Ubuntu wiki. You might also look into the pbuilder-dist script. It is a is a wrapper that makes it easy to use pbuilder with many different versions of Ubuntu and/or Debian. It is available in the ubuntu-dev-tools Install ubuntu-dev-tools package.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.